/// <reference types="react" />
import type { ModalPlacement, ModalWidth } from './Modal.types';
export declare const fadeInClassName = "fade-in";
export declare const fadeOutClassName = "fade-out";
export declare const modalMaxWidth = "640px";
export declare const modalPixelGutter: number;
export declare const modalPixelWidths: {
    sm: number;
    md: number;
    lg: number;
    xl: number;
};
export declare const StyledModal: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledModalButtons: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledModalContainer: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("..").DivAttributes & import("..").CardProps & import("react").RefAttributes<HTMLDivElement>>, any, {
    $compact: boolean;
    $placement: ModalPlacement;
    $width?: ModalWidth | undefined;
}, never>;
export declare const StyledModalFooter: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledModalBody: import("styled-components").StyledComponent<"div", any, {
    $compact: boolean;
    isOverflowingY: boolean;
    noSideSpacing: boolean;
}, never>;
export declare const StyledModalContent: import("styled-components").StyledComponent<"div", any, {
    $compact?: boolean | undefined;
}, never>;
export declare const StyledModalFooterNotation: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("..").SpanAttributes & import("..").TypographyProps & import("react").RefAttributes<HTMLSpanElement>>, any, {}, never>;
export declare const StyledModalHeader: import("styled-components").StyledComponent<"div", any, {
    $compact: boolean;
    $isBodyScrolled: boolean;
}, never>;
export declare const StyledModalHeading: import("styled-components").StyledComponent<"div", any, {
    $compact: boolean;
}, never>;
export declare const StyledModalCancel: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledModalScrim: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledModalWarningIcon: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<{
    size?: import("@procore/core-icons/dist/Icon").IconSize | undefined;
} & import("react").SVGAttributes<SVGElement> & import("react").RefAttributes<SVGSVGElement>>, any, {}, never>;
export declare const StyledModalFooterSummary: import("styled-components").StyledComponent<"div", any, {}, never>;
